## python-pypowervm 1.1.6

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance.
lxml!=3.7.0,>=3.4.1 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.12.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
pyasn1-modules # BSD
pyasn1 # BSD
pytz>=2013.6 # MIT
requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
taskflow>=2.7.0 # Apache-2.0

=== debian/changelog ===
python-pypowervm (1.1.6-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 Aug 2017 22:02:16 +0000

python-pypowervm (1.1.6-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:09 -0400

python-pypowervm (1.1.6-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 15:13:43 -0400

python-pypowervm (1.1.4-0ubuntu1) artful; urgency=low

  * Initial version.

 -- James Page <james.page@ubuntu.com>  Thu, 25 May 2017 11:16:49 +0100

=== debian/control ===
Source: python-pypowervm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-pbr (>= 2.0.0),
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-fixtures,
                     python-futures,
                     python-lxml (>= 3.4.1),
                     python-os-testr,
                     python-oslo.concurrency,
                     python-oslo.context (>= 2.12.0),
                     python-oslo.i18n,
                     python-oslo.log,
                     python-oslo.utils (>= 3.20.0),
                     python-pyasn1,
                     python-pyasn1-modules,
                     python-requests (>= 2.14.2),
                     python-six,
                     python-taskflow,
                     python-testscenarios,
                     python-testtools,
                     python-tz,
                     python3-fixtures,
                     python3-lxml (>= 3.4.1),
                     python3-os-testr,
                     python3-oslo.concurrency,
                     python3-oslo.context (>= 2.12.0),
                     python3-oslo.i18n,
                     python3-oslo.log,
                     python3-oslo.utils (>= 3.20.0),
                     python3-pyasn1,
                     python3-pyasn1-modules,
                     python3-requests (>= 2.14.2),
                     python3-six,
                     python3-taskflow,
                     python3-testscenarios,
                     python3-testtools,
                     python3-tz,
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://github.com/powervm/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Testsuite: autopkgtest-pkg-python

Package: python-pypowervm
Architecture: all
Depends: python-lxml (>= 3.4.1),
         python-oslo.concurrency,
         python-oslo.context (>= 2.12.0),
         python-oslo.i18n,
         python-oslo.log,
         python-oslo.utils (>= 3.20.0),
         python-pyasn1,
         python-pyasn1-modules,
         python-requests (>= 2.14.2),
         python-six,
         python-taskflow,
         python-tz,
         ${misc:Depends},
         ${python:Depends},
Description: Python binding for the PowerVM REST API
 pypowervm provides a Python-based API wrapper for interaction with IBM
 PowerVM-based systems.
 .
 This package provides the Python 2 module.

Package: python3-pypowervm
Architecture: all
Depends: python3-lxml (>= 3.4.1),
         python3-oslo.concurrency,
         python3-oslo.context (>= 2.12.0),
         python3-oslo.i18n,
         python3-oslo.log,
         python3-oslo.utils (>= 3.20.0),
         python3-pyasn1,
         python3-pyasn1-modules,
         python3-requests (>= 2.14.2),
         python3-six,
         python3-taskflow,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends},
Description: Python binding for the PowerVM REST API
 pypowervm provides a Python-based API wrapper for interaction with IBM
 PowerVM-based systems.
 .
 This package provides the Python 3 module.

## python-pypowervm 1.1.10

=== requirements.txt ===
--- 
+++ 
@@ -14,3 +14,4 @@
 six>=1.9.0 # MIT
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 taskflow>=2.7.0 # Apache-2.0
+networkx>=1.10,<2.0

=== debian/changelog ===
python-pypowervm (1.1.10-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/*: wrap-and-sort -bast.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 08:31:33 -0500

python-pypowervm (1.1.9-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 15:26:02 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypowervm

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	python2-ostestr
	python3-ostestr
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pypowervm/pypowervm-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pypowervm 1.1.10+dfsg1

=== debian/changelog ===
python-pypowervm (1.1.10+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:52:10 +0000

python-pypowervm (1.1.10+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Homepage field using https.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Feb 2018 08:51:49 +0000

python-pypowervm (1.1.6+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add openstack-pkg-tools to build-depends
  * Add python-mock, python3-mock to build-depends

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 22 Jan 2018 09:28:01 +0000

python-pypowervm (1.1.6+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #877976)

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2017 10:19:11 +0200

=== debian/control ===
Source: python-pypowervm
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-concurrent.futures,
 python-lxml,
 python-mock,
 python-networkx,
 python-oslo.concurrency,
 python-oslo.context (>= 2.12.0),
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.utils (>= 3.20.0),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests,
 python-six,
 python-taskflow (>= 2.7.0),
 python-tz,
 python3-lxml,
 python3-mock,
 python3-networkx,
 python3-oslo.concurrency,
 python3-oslo.context (>= 2.12.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.20.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-taskflow (>= 2.7.0),
 python3-tz,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pypowervm
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pypowervm.git
Homepage: https://github.com/powervm/pypowervm

Package: python-pypowervm
Architecture: all
Depends:
 python-concurrent.futures,
 python-lxml,
 python-oslo.concurrency,
 python-oslo.context (>= 2.12.0),
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests,
 python-six,
 python-taskflow (>= 2.7.0),
 python-tz,
 ${misc:Depends},
 ${python:Depends},
Description: binding for the PowerVM REST API - Python 2.7
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 2.7 module.

Package: python3-pypowervm
Architecture: all
Depends:
 python3-lxml,
 python3-oslo.concurrency,
 python3-oslo.context (>= 2.12.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-taskflow (>= 2.7.0),
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Python binding for the PowerVM REST API - Python 3.x
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/powervm/pypowervm.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'pypowervm\.tests\.((?!.*test_session\.TestSession\.test_session_clone.*))'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-pypowervm 1.1.16

=== debian/changelog ===
python-pypowervm (1.1.16-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 03 Aug 2018 15:44:27 +0000

python-pypowervm (1.1.16-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/p/skip-tests.patch: Skip failing Py3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Aug 2018 13:56:51 -0400

python-pypowervm (1.1.15-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/copyright: Retain Canonical copyright for debian/*.
    - d/gbp.conf: Retain for pristine-tar.
    - d/rules: Build with pybuild.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 17:48:33 -0400

=== debian/control ===
Source: python-pypowervm
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-concurrent.futures (>= 3.0),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0),
 python-networkx,
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.context (>= 1:2.12.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 3.11.0),
 python-oslo.utils (>= 3.20.0),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests (>= 2.10.0),
 python-six (>= 1.9.0),
 python-taskflow (>= 2.16.0),
 python-tz (>= 2013.6),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0),
 python3-networkx,
 python3-oslo.concurrency (>= 3.8.0),
 python3-oslo.context (>= 1:2.12.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.11.0),
 python3-oslo.utils (>= 3.20.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests (>= 2.10.0),
 python3-six (>= 1.9.0),
 python3-taskflow (>= 2.16.0),
 python3-tz (>= 2013.6),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Homepage: https://github.com/powervm/pypowervm
Testsuite: autopkgtest-pkg-python

Package: python-pypowervm
Architecture: all
Depends:
 python-concurrent.futures (>= 3.0),
 python-lxml (>= 3.4.1),
 python-oslo.concurrency (>= 3.8.0),
 python-oslo.context (>= 1:2.12.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.log (>= 3.11.0),
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests (>= 2.10.0),
 python-six (>= 1.9.0),
 python-taskflow (>= 2.16.0),
 python-tz (>= 2013.6),
 ${misc:Depends},
 ${python:Depends},
Description: binding for the PowerVM REST API - Python 2.7
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 2.7 module.

Package: python3-pypowervm
Architecture: all
Depends:
 python3-lxml (>= 3.4.1),
 python3-oslo.concurrency (>= 3.8.0),
 python3-oslo.context (>= 1:2.12.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.11.0),
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests (>= 2.10.0),
 python3-six (>= 1.9.0),
 python3-taskflow (>= 2.16.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: Python binding for the PowerVM REST API - Python 3.x
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypowervm

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'pypowervm\.tests\.((?!.*test_session\.TestSession\.test_session_clone.*))'
endif

## python-pypowervm 1.1.16+dfsg1

=== debian/changelog ===
python-pypowervm (1.1.16+dfsg1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:09:25 +0200

python-pypowervm (1.1.16+dfsg1-2) experimental; urgency=medium

  * Add install-all-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 12:01:10 +0200

python-pypowervm (1.1.16+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added skip-tests.patch taken from Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 23:39:10 +0200

=== debian/control ===
Source: python-pypowervm
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-concurrent.futures,
 python-lxml,
 python-mock,
 python-oslo.concurrency,
 python-oslo.context (>= 2.12.0),
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.utils (>= 3.20.0),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests,
 python-six,
 python-taskflow (>= 2.16.0),
 python-tz,
 python3-lxml,
 python3-mock,
 python3-oslo.concurrency,
 python3-oslo.context (>= 2.12.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.20.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-taskflow (>= 2.16.0),
 python3-tz,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pypowervm
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pypowervm.git
Homepage: https://github.com/powervm/pypowervm

Package: python-pypowervm
Architecture: all
Depends:
 python-concurrent.futures,
 python-lxml,
 python-oslo.concurrency,
 python-oslo.context (>= 2.12.0),
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests,
 python-six,
 python-taskflow (>= 2.16.0),
 python-tz,
 ${misc:Depends},
 ${python:Depends},
Description: binding for the PowerVM REST API - Python 2.7
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 2.7 module.

Package: python3-pypowervm
Architecture: all
Depends:
 python3-lxml,
 python3-oslo.concurrency,
 python3-oslo.context (>= 2.12.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-taskflow (>= 2.16.0),
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Python binding for the PowerVM REST API - Python 3.x
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d+$// \
https://pypi.debian.net/pypowervm/pypowervm-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pypowervm 1.1.20

=== debian/changelog ===
python-pypowervm (1.1.20-0ubuntu2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Aug 2019 19:32:44 +0000

python-pypowervm (1.1.20-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-pypowervm binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 14:23:56 +0200

python-pypowervm (1.1.20-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 14:37:21 -0400

python-pypowervm (1.1.19-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:56:48 -0500

=== debian/control ===
Source: python-pypowervm
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.5.1),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.12.0),
 python3-lxml (>= 3.4.1),
 python3-fixtures (>= 3.0.0),
 python3-mock (>= 2.0),
 python3-networkx,
 python3-oslo.concurrency (>= 3.8.0),
 python3-oslo.context (>= 1:2.12.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.11.0),
 python3-oslo.utils (>= 3.20.0),
 python3-oslosphinx (>= 4.7.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests (>= 2.10.0),
 python3-six (>= 1.9.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-taskflow (>= 2.16.0),
 python3-testrepository,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-tz (>= 2013.6),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Homepage: https://github.com/powervm/pypowervm
Testsuite: autopkgtest-pkg-python

Package: python3-pypowervm
Architecture: all
Depends:
 python3-lxml (>= 3.4.1),
 python3-oslo.concurrency (>= 3.8.0),
 python3-oslo.context (>= 1:2.12.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.11.0),
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests (>= 2.10.0),
 python3-six (>= 1.9.0),
 python3-taskflow (>= 2.16.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: Python binding for the PowerVM REST API - Python 3.x
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypowervm

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'pypowervm\.tests\.((?!.*test_session\.TestSession\.test_session_clone.*))'
endif

## python-pypowervm 1.1.20+ds1

=== debian/changelog ===
python-pypowervm (1.1.20+ds1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:15:26 +0200

python-pypowervm (1.1.20+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 21:07:00 +0100

=== debian/control ===
Source: python-pypowervm
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-lxml,
 python3-mock,
 python3-oslo.concurrency,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-taskflow,
 python3-tz,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pypowervm
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pypowervm.git
Homepage: https://github.com/powervm/pypowervm

Package: python3-pypowervm
Architecture: all
Depends:
 python3-lxml,
 python3-oslo.concurrency,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-taskflow,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Python binding for the PowerVM REST API - Python 3.x
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/powervm/pypowervm.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'pypowervm\.tests\.((?!.*test_session\.TestSession\.test_session_clone.*))'
endif

## python-pypowervm 1.1.24

=== debian/changelog ===
python-pypowervm (1.1.24-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/copyright: Retain Canonical copyright for debian/*.
    - d/gbp.conf: Retain for pristine-tar.
    - d/rules: Build with pybuild.
    - d/p/install-all-files.patch, d/p/skip-tests.patch: Dropped.
      No longer needed.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py3-failures.patch: Skip failing py3 tests until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Dec 2019 14:08:17 -0500

=== debian/control ===
Source: python-pypowervm
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.5.1),
Build-Depends-Indep:
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0),
 python3-oslo.concurrency (>= 3.8.0),
 python3-oslo.context (>= 1:2.12.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.11.0),
 python3-oslo.utils (>= 3.20.0),
 python3-oslosphinx (>= 4.7.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests (>= 2.10.0),
 python3-six (>= 1.9.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-taskflow (>= 2.16.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-tz (>= 2013.6),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pypowervm
Homepage: https://github.com/powervm/pypowervm
Testsuite: autopkgtest-pkg-python

Package: python3-pypowervm
Architecture: all
Depends:
 python3-lxml (>= 3.4.1),
 python3-oslo.concurrency (>= 3.8.0),
 python3-oslo.context (>= 1:2.12.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 3.11.0),
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests (>= 2.10.0),
 python3-six (>= 1.9.0),
 python3-taskflow (>= 2.16.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: Python binding for the PowerVM REST API - Python 3.x
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypowervm

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'pypowervm\.tests\.((?!.*test_session\.TestSession\.test_session_clone.*))'
endif

## python-pypowervm 1.1.24+ds1

=== requirements.txt ===
--- 
+++ 
@@ -13,5 +13,4 @@
 requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
-taskflow>=2.7.0 # Apache-2.0
-networkx>=1.10,<2.0
+taskflow>=2.16.0 # Apache-2.0

=== debian/changelog ===
python-pypowervm (1.1.24+ds1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:33:30 +0200

python-pypowervm (1.1.24+ds1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Blacklist test_vterm.TestVterm.test_open_vnc_vterm_nonascii() and
    test_vterm.TestVterm.test_open_vnc_vterm_nonvnc_noforce().

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 15:02:56 +0200

=== debian/control ===
Source: python-pypowervm
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-lxml,
 python3-mock,
 python3-oslo.concurrency,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-taskflow,
 python3-tz,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pypowervm
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pypowervm.git
Homepage: https://github.com/powervm/pypowervm

Package: python3-pypowervm
Architecture: all
Depends:
 python3-lxml,
 python3-oslo.concurrency,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-requests,
 python3-six,
 python3-taskflow,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Python binding for the PowerVM REST API - Python 3.x
 PowerVM, formerly known as Advanced Power Virtualization (APV), is a
 chargeable feature of IBM POWER6, POWER7 and POWER8 servers and is required
 for support of micro-partitions and other advanced features. Support is
 provided for IBM i, AIX and Linux. This Python module is a REST client for the
 PowerVM API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/powervm/pypowervm.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://bugs.launchpad.net/pypowervm/+bug/1856354
	pkgos-dh_auto_test --no-py2 'pypowervm\.tests\.((?!.*test_session\.TestSession\.test_session_clone.*|.*tasks\.test_vterm\.TestVterm\.test_open_vnc_vterm_nonascii.*|.*test_vterm\.TestVterm\.test_open_vnc_vterm_nonvnc_noforce.*))'
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+ds\d+$// \
https://pypi.debian.net/pypowervm/pypowervm-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pypowervm 1.1.27+ds1

=== requirements.txt ===
--- 
+++ 
@@ -9,8 +9,9 @@
 pbr>=2.0.0 # Apache-2.0
 pyasn1-modules # BSD
 pyasn1 # BSD
-pytz>=2013.6 # MIT
+pytz>=2019.3 # MIT
 requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
-six>=1.9.0 # MIT
-futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
-taskflow>=2.16.0 # Apache-2.0
+six>=1.14.0 # MIT
+futures>=3.0;python_version=='3.6' # BSD
+Taskflow>=3.8.0 # Apache-2.0
+babel

=== debian/changelog ===
python-pypowervm (1.1.27+ds1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 12:01:10 +0100

python-pypowervm (1.1.27+ds1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 16:59:02 +0100

python-pypowervm (1.1.26+ds1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Removed linuxvnc from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:40:18 +0200

python-pypowervm (1.1.26+ds1-2) experimental; urgency=medium

  * Builds localization at build time (took it from upstream packaging).
  * Revisit (build-)depends taking info from upstream packaging.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 16:20:05 +0200

python-pypowervm (1.1.26+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/patches/skip-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 16:10:38 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
+ gettext,
+ python3-future,
  python3-lxml,
  python3-mock,
  python3-oslo.concurrency,
@@ -19,13 +21,16 @@
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.utils,
+ python3-pbr,
  python3-pyasn1,
  python3-pyasn1-modules,
+ python3-pyrsistent,
  python3-requests,
  python3-six,
  python3-stestr,
  python3-taskflow,
  python3-tz,
+ python3-zipp,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pypowervm
@@ -35,6 +40,7 @@
 Package: python3-pypowervm
 Architecture: all
 Depends:
+ python3-future,
  python3-lxml,
  python3-oslo.concurrency,
  python3-oslo.context,
@@ -44,10 +50,12 @@
  python3-pbr,
  python3-pyasn1,
  python3-pyasn1-modules,
+ python3-pyrsistent,
  python3-requests,
  python3-six,
  python3-taskflow,
  python3-tz,
+ python3-zipp,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python binding for the PowerVM REST API - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,11 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
 
+	set -e ; set -x ; for lc in $$(ls -d pypowervm/locale/*/ | cut -f3 -d'/'); do \
+		mkdir -p debian/python3-pypowervm/usr/share/locale/$$lc/LC_MESSAGES ; \
+		msgfmt -o debian/python3-pypowervm/usr/share/locale/$$lc/LC_MESSAGES/pypowervm.mo pypowervm/locale/$$lc/pypowervm.po ; \
+	done
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# See https://bugs.launchpad.net/pypowervm/+bug/1856354
